{
  template: '${tmpl}',
    data: function() {
      return {
        notarinfo: {
          buyerType: 'person',
          certificateType: '1',
          buyerName: '',
          certificateNo: '',

        }
      }
    },
  mounted: function() {
    var that = this;
    var obj = this.$router.history.current.query;
    this.$root.postReq("/web/transfer/notarizationflowCtl/firstload", obj).then(function (d) {
      if (d.status > -1) {
        that.notarinfo = d.data;
        if (!that.notarinfo.buyerType) {
          that.notarinfo.buyerType = "ent";
        }
        if (!that.notarinfo.sellerType) {
          that.notarinfo.sellerType = "ent";
        }
      }
    })


  },
  created: function() {
    /* if(this.codePath.indexOf("appuser")>=0){
       this.bizCode="appuser";
     }else{
       this.bizCode="allusers";
     }*/
  },
  methods: {
    validateformmethod(rule, value, cbk){
      return cbk();
    },
    onDlgFormClick(key){
      debugger;
      var self=this;
       if(key=='mysave'){
        this.$root.postReq("/web/transfer/notarizationflowCtl/update", this.notarinfo).then(function (d) {
          if (d.status > -1) {
            history.go(-1)
          }
        })
       }
       if(key=='alisubmit'){
        this.$root.postReq("/web/transfer/notarizationflowCtl/submitali", this.notarinfo).then(function (d) {
          if (d.status > -1) {
            history.go(-1)
          }
        })
       }
    },
    onColFormater(row, column, cellvalue, index){


      return cellvalue;
    },

  

    handleSelectionChange: function(val) {
      this.multipleSelection = val;
      console.log(val);
    },
    fetchData: function() {

    },
    onRowClick(row, key, e){
      if (key == "upfiles") {
        this.showUploadform = true;
      }
    },
    upsuccess(result){
      console.log(result);
    }
  },
  computed: Vuex.mapState({
    headStyle: function () {
      return { "background-color": "white" };
    }
  }),
    vname: "gsb-mynotarizationflow"
}
